import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, o = c.length - 1, p; o >= 0; o--)
    (p = c[o]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && g(t, s, e), e;
};
let i = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--wifiLarge", this.class = "c-pieIcon c-pieIcon--wifiLarge", this.name = "IconWifiLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--wifiLarge"><path d="M19.78 20.585a4.92 4.92 0 0 0-3.78-1.96 4.92 4.92 0 0 0-3.78 1.942L10.863 19.5A6.65 6.65 0 0 1 16 16.875a6.65 6.65 0 0 1 5.136 2.625z"></path><path d="M27.034 13.655A14.25 14.25 0 0 0 16 8.125a14.25 14.25 0 0 0-11.034 5.53L3.62 12.544a15.95 15.95 0 0 1 12.38-6.169 15.95 15.95 0 0 1 12.382 6.169z"></path><path d="M23.525 17.234A9.77 9.77 0 0 0 16 13.375a9.76 9.76 0 0 0-7.525 3.841l-1.348-1.094A11.46 11.46 0 0 1 16 11.625a11.46 11.46 0 0 1 8.872 4.48z"></path><path d="M16 25.406a1.531 1.531 0 1 0 0-3.062 1.531 1.531 0 0 0 0 3.062"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], i.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = a([
  h("icon-wifi-large")
], i);
export {
  i as IconWifiLarge
};
